# Method: contactGroups.batchGet

- [HTTP request](https://developers.google.com/people/api/rest/v1/contactGroups/batchGet#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/people/api/rest/v1/contactGroups/batchGet#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/people/api/rest/v1/contactGroups/batchGet#body.request_body)
- [Response body](https://developers.google.com/people/api/rest/v1/contactGroups/batchGet#body.response_body)
  - [JSON representation](https://developers.google.com/people/api/rest/v1/contactGroups/batchGet#body.BatchGetContactGroupsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/people/api/rest/v1/contactGroups/batchGet#body.aspect)
- [ContactGroupResponse](https://developers.google.com/people/api/rest/v1/contactGroups/batchGet#ContactGroupResponse)
  - [JSON representation](https://developers.google.com/people/api/rest/v1/contactGroups/batchGet#ContactGroupResponse.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/people/api/rest/v1/contactGroups/batchGet#try-it)

Get a list of contact groups owned by the authenticated user by specifying a list of contact group resource names.

### HTTP request

`GET https://people.googleapis.com/v1/contactGroups:batchGet`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `resourceNames[]` | `string` Required. The resource names of the contact groups to get. There is a maximum of 200 resource names. |
| `maxMembers` | `integer` Optional. Specifies the maximum number of members to return for each group. Defaults to 0 if not set, which will return zero members. |
| `groupFields` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Optional. A field mask to restrict which fields on the group are returned. Defaults to `metadata`, `groupType`, `memberCount`, and `name` if not set or set to empty. Valid fields are: - clientData - groupType - memberCount - metadata - name |

### Request body

The request body must be empty.

### Response body

The response to a batch get contact groups request.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "responses": [ { object (`https://developers.google.com/people/api/rest/v1/contactGroups/batchGet#ContactGroupResponse`) } ] } ``` |

| Fields ||
|---|---|
| `responses[]` | ``object (`https://developers.google.com/people/api/rest/v1/contactGroups/batchGet#ContactGroupResponse`)`` The list of responses for each requested contact group resource. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/contacts`
- `https://www.googleapis.com/auth/contacts.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).

## ContactGroupResponse

The response for a specific contact group.

| JSON representation |
|---|
| ``` { "requestedResourceName": string, "status": { object (`https://developers.google.com/people/api/rest/v1/Status`) }, "contactGroup": { object (`https://developers.google.com/people/api/rest/v1/contactGroups#ContactGroup`) } } ``` |

| Fields ||
|---|---|
| `requestedResourceName` | `string` The original requested resource name. |
| `status` | ``object (`https://developers.google.com/people/api/rest/v1/Status`)`` The status of the response. |
| `contactGroup` | ``object (`https://developers.google.com/people/api/rest/v1/contactGroups#ContactGroup`)`` The contact group. |